Bug 859543 - [abrt] hplip-gui-3.12.6-1.fc17: systemtray.py:764:notifierActivated:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
[abrt] hplip-gui-3.12.6-1.fc17: systemtray.py:764:notifierActivated:GError: G...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:f9479142bd6ab11940caf8d27e5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 15:30 EDT by bibliotecaiutll
Modified: 2012-11-27 10:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 10:10:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (101 bytes, text/plain)
2012-09-21 15:30 EDT, bibliotecaiutll
no flags Details

  None (edit)
Description bibliotecaiutll 2012-09-21 15:30:11 EDT
Version-Release number of selected component:
hplip-gui-3.12.6-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        python /bin/hp-systray
kernel:         3.5.3-1.fc17.i686

backtrace:
:systemtray.py:764:notifierActivated:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
:
:Traceback (most recent call last):
:  File "/usr/share/hplip/ui4/systemtray.py", line 764, in notifierActivated
:    n.show()
:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
:
:Local variables in innermost frame:
:r: [6]
:e: []
:d: PyQt4.QtCore.QString(u'HP_LaserJet_1020_2')
:self: <ui4.systemtray.SystemTrayApp object at 0xb7501224>
:m: ''
:error_state: 103
:show_message: True
:s: 6
:n: <pynotify.Notification object at 0x8e67e8c (NotifyNotification at 0x8e2adc0)>
:w: []
:msg: u'HP_LaserJet_1020_2\nStarted a print job: Escaner Scanner Hp Scanjet G2410 Plano 1200 Dpi Nuevo - BsF 980,00 en MercadoLib\n(admon/9)'
:icon: 'file:///usr/share/hplip/data/images/32x32/warning.png'
:event: <base.device.Event object at 0x8e69dec>
:urgency: <enum NOTIFY_URGENCY_NORMAL of type NotifyUrgency>
:desc: 'Started a print job'
Comment 1 bibliotecaiutll 2012-09-21 15:30:15 EDT
Created attachment 615585 [details]
File: core_backtrace
Comment 2 Jiri Popelka 2012-09-24 07:57:59 EDT
We should amend the hplip-notification-exception.patch (bug #665577)
Comment 3 Fedora Update System 2012-10-02 12:02:53 EDT
hplip-3.12.9-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hplip-3.12.9-6.fc18
Comment 4 Fedora Update System 2012-10-02 12:03:54 EDT
hplip-3.12.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-13619/hplip-3.12.9-2.fc17
Comment 5 Fedora Update System 2012-10-02 12:07:02 EDT
hplip-3.12.9-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/hplip-3.12.9-6.fc16
Comment 6 Fedora Update System 2012-10-02 15:47:53 EDT
Package hplip-3.12.9-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.12.9-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15208/hplip-3.12.9-6.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.